<?php

namespace JimsCustomerBooking\RestfulAPI;

class NotificationController extends RestController implements IRestfulController
{
    protected $route = 'notifications';

    public function register_routes(){
        register_rest_route($this->getNamespace(), $this->getRoute() . '/send-failed', [
            [
                'methods' => \WP_REST_Server::CREATABLE,
                'callback' => [$this, 'send_failed_notifications'],
                'permission_callback' => [$this, 'checkPermissions'],
            ]
        ]);
    }

    /**
     * @param \WP_REST_Request $request
     * @return \WP_REST_Response
     */
    public function send_failed_notifications(\WP_REST_Request $request): \WP_REST_Response
    {
       return $this->response([]);
    }
}